<!DOCTYPE html>
<html>
<head>

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<title>HTML Attributes and Links</title>
</head>

<body>
	<h2 align="center" id= "top"> HTML Attributes</h2>

	<p align = "center"><em>Modifiers of element behaviors</em></p>

	<h2>HTML Images</h2>

	<!-- &lt; and &gt; are called HTML Entities used for special characters <> -->
	<p align="right"><em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong></em></p>

	<!--src or source attributes accepts a urlfrom an online source or directory/route -->
	<img src="https://place-puppy.com/300x300" />
	<p>
		<!--code tag is used to define a piece of computer code and displays text in browser using its dafault monospace font -->
		<code>
			&lt; img src="https://place-puppy.com/300x300" /&gt;
		</code>
	</p>

	<!-- in src attribute, we use relative linking -->
	<img src="./images/zuittlogo.png"/>

		<p>
		<!--code tag is used to define a piece of computer code and displays text in browser using its dafault monospace font -->
		<code>
			&lt; img src="./images/zuittlogo.png" /&gt;
		</code>
	</p>

	<p>Valid image extensions are the following</p>

	<!-- the type attribute changes the default numbered points; Types: a, i, 1, I -->
	<!-- the reversed attribute reverses the order of numbers from 1 to 3 to 3 to 1-->
	<ol type="a">
		<li>png</li>
		<li>jpg</li>
		<li>gif</li>
		<li>svg</li>
		<li>webp</li>
	</ol>

	<h2>HTML Links</h2>
	<h4>Absolute Link</h4>

	<!-- a tag creates a hyperlink element when click will redirect to a different page. It is example of inline tag -->
	<!--href attr means "hypertxt reference" which is use to create link to a different page -->
	<a href="https://zuitt.co/" target = "_blank" > I'm a hyperlink.</a>

	<h4>Relative Linking</h4>

	<ul>
		<li>Hyperlink going to the <a href="./link.html"> link.html</a> </li>

		<li>Go to <a href="./images/images.html"> images.html </a> </li>

		<li>Go to <a href="#top">top </a> </li>
	</ul>


</body>
</html>